> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of saved clips in organization, with current progress

> Get list of saved clips in organization, with current progress



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/event/getClipsWithProgress
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/event/getClipsWithProgress:
    post:
      tags:
        - Event Webservice
      summary: Get list of saved clips in organization, with current progress
      description: Get list of saved clips in organization, with current progress
      operationId: getClipsWithProgress
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Event_GetClipsWithProgressWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event_GetClipsWithProgressWSResponse'
          description: OK
components:
  schemas:
    Event_GetClipsWithProgressWSRequest:
      type: object
      description: >-
        Request object for retrieving clips with progress information and
        filtering options.
      properties:
        deviceUuidFilters:
          type: array
          description: Device uuids to filter clips by.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        excludeAlertMonitoringClips:
          type: boolean
          default: false
          description: Filter to exclude clips created for alarm monitoring verification.
          nullable: true
        filterByPrivate:
          type: boolean
          default: false
          description: Filter to only include private clips in the result.
          nullable: true
        locationUuidFilters:
          type: array
          description: Location uuids to filter clips by.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        pageSize:
          type: integer
          format: int32
          default: 100
          description: Page size
          maximum: 200
          minimum: 1
          nullable: true
        pageToken:
          type: string
          description: Page token received from the previous search request.
          example: next_page_token_123
          nullable: true
        searchFilter:
          type: string
          description: Search filter for clips
          example: motion detected
          nullable: true
        sortField:
          type: string
          description: Field to sort clips by
          example: timestamp
          nullable: true
        sortOrder:
          type: string
          description: Sort order (asc or desc)
          example: desc
          nullable: true
        timestampFilterField:
          type: string
          description: >-
            Timestamp to filter clips by (either clip creation date or clip
            footage date).
          nullable: true
        timestampMsAfter:
          type: integer
          format: int64
          description: Timestamp to find clips after this time.
          example: 1640995200000
          nullable: true
        timestampMsBefore:
          type: integer
          format: int64
          description: Timestamp to find clips before this time
          example: 1641081600000
          nullable: true
      required:
        - pageSize
    Event_GetClipsWithProgressWSResponse:
      type: object
      description: Response object containing clips with progress information.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        pageToken:
          type: string
          description: >-
            Token to be supplied on the next search request to get the next
            page. If token is null, there is no more data available.
          nullable: true
        savedClips:
          type: array
          description: List of saved clips with progress information
          items:
            $ref: '#/components/schemas/Event_SavedClipWithProgressType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Event_SavedClipWithProgressType:
      type: object
      description: Saved clip with progress information for processing operations.
      properties:
        accessSettings:
          $ref: '#/components/schemas/ClipAccessSettings'
        alterMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AlteredView'
            nullable: true
          nullable: true
        analyzed:
          type: boolean
          nullable: true
        byteCount:
          type: integer
          format: int64
          nullable: true
        clipLocation:
          $ref: '#/components/schemas/MetaDataLocationType'
        clipLocationV2:
          type: string
          nullable: true
        consoleDelete:
          type: boolean
          nullable: true
        createdAtMs:
          type: integer
          format: int64
          nullable: true
        currentOperation:
          type: string
          description: Current operation being performed on the clip
          example: Processing video
          nullable: true
        description:
          type: string
          nullable: true
        deviceIntervalMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/TimeInterval'
            nullable: true
          nullable: true
        devicePresentationOrder:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        deviceUuidMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/MetaDataLocationType'
          nullable: true
        deviceUuids:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        durationSec:
          type: integer
          format: int32
          nullable: true
        externalTransactionId:
          type: string
          nullable: true
        fisheyeHardware:
          $ref: '#/components/schemas/HardwareVariationEnum'
        fisheyeMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/DewarpedView'
            nullable: true
          nullable: true
        integrationUploadList:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationEnum'
          nullable: true
        isMonitoringClip:
          type: boolean
          nullable: true
        isVendorClip:
          type: boolean
          nullable: true
        lastUpdatedSec:
          type: integer
          format: int64
          description: Last update timestamp in seconds
          example: 1640995200
          nullable: true
        mountingDirection:
          $ref: '#/components/schemas/CameraMountingDirectionEnum'
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        percentComplete:
          type: integer
          format: int32
          description: Percentage of completion for the current operation
          example: 75
          nullable: true
        placeholder:
          type: boolean
          nullable: true
        sendToSharedStorage:
          type: boolean
          nullable: true
        sha256Hex:
          type: string
          nullable: true
        sourceAlertUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        status:
          $ref: '#/components/schemas/ClipStatusEnum'
        thumbnailLocation:
          $ref: '#/components/schemas/MetaDataLocationType'
        thumbnailLocationV2:
          type: string
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
        title:
          type: string
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        videoResolution:
          $ref: '#/components/schemas/Resolution'
    ClipAccessSettings:
      type: object
      description: Visibility setting for the clip
      properties:
        allowedRoles:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        allowedUsers:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        visibility:
          $ref: '#/components/schemas/ClipVisibilityEnum'
    AlteredView:
      type: object
      description: Map of device facet UUIDs to altered view configurations
      properties:
        crop:
          $ref: '#/components/schemas/CroppedPermyriadRect'
        dewarp:
          $ref: '#/components/schemas/DewarpedView'
    MetaDataLocationType:
      type: object
      properties:
        region:
          type: string
          nullable: true
    TimeInterval:
      type: object
      properties:
        endMs:
          type: integer
          format: int64
          nullable: true
        startMs:
          type: integer
          format: int64
          nullable: true
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
    DewarpedView:
      type: object
      properties:
        aspectRatio:
          $ref: '#/components/schemas/AspectRatio'
        pitchDegrees:
          type: number
          format: float
          nullable: true
        rollDegrees:
          type: number
          format: float
          nullable: true
        verticalFieldOfViewDegrees:
          type: integer
          format: int32
          nullable: true
        yawDegrees:
          type: number
          format: float
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    CameraMountingDirectionEnum:
      type: string
      enum:
        - DOWN
        - UP
        - SIDEWAYS
        - UNKNOWN
    ClipStatusEnum:
      type: string
      enum:
        - INITIATING
        - UPLOADING
        - RENDERING
        - FAILED
        - COMPLETE
        - OFFLINE
        - DELETED
        - UNKNOWN
    Resolution:
      type: object
      properties:
        height:
          type: integer
          format: int32
          nullable: true
        width:
          type: integer
          format: int32
          nullable: true
    ClipVisibilityEnum:
      type: string
      description: Use accessSettings instead
      enum:
        - PRIVATE
        - ROLE_RESTRICTED
        - ORG_WIDE
    CroppedPermyriadRect:
      type: object
      properties:
        height:
          type: integer
          format: int32
          nullable: true
        width:
          type: integer
          format: int32
          nullable: true
        x:
          type: integer
          format: int32
          nullable: true
        'y':
          type: integer
          format: int32
          nullable: true
    AspectRatio:
      type: object
      properties:
        height:
          type: integer
          format: int32
          nullable: true
        width:
          type: integer
          format: int32
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````